diff options
author | Colin Guthrie <colin@mageia.org> | 2013-12-02 23:40:22 +0000 |
---|---|---|
committer | Colin Guthrie <colin@mageia.org> | 2013-12-07 18:32:06 +0000 |
commit | e7aedc3aa7e08f3337c86085c6da10ca83445024 (patch) | |
tree | 4005be196198d60c655e345d43fef926bbac6702 /rescue/tree/usr/sbin/startssh | |
parent | 2ad4c4fc0b990dd0db23cdee815ac2a13c60929d (diff) | |
download | drakx-e7aedc3aa7e08f3337c86085c6da10ca83445024.tar drakx-e7aedc3aa7e08f3337c86085c6da10ca83445024.tar.gz drakx-e7aedc3aa7e08f3337c86085c6da10ca83445024.tar.bz2 drakx-e7aedc3aa7e08f3337c86085c6da10ca83445024.tar.xz drakx-e7aedc3aa7e08f3337c86085c6da10ca83445024.zip |
rescue: Move files around and introduce proper dep tracking.
This moves any perl files into bin and sbin folders which will be directly installed
in /usr/bin and /usr/sbin. This is done such that the extract modes in list.xml still
work and the files end up in the right places.
All other files have been moved into the tree folder in their final destination.
Diffstat (limited to 'rescue/tree/usr/sbin/startssh')
-rwxr-xr-x | rescue/tree/usr/sbin/startssh | 27 |
1 files changed, 27 insertions, 0 deletions
diff --git a/rescue/tree/usr/sbin/startssh b/rescue/tree/usr/sbin/startssh new file mode 100755 index 000000000..e14bb10e8 --- /dev/null +++ b/rescue/tree/usr/sbin/startssh @@ -0,0 +1,27 @@ +#!/bin/bash + +# test for an up interface != lo +if test "x"`ifconfig | cut -d ' ' -f 1 | grep -v '^$' | grep -v lo` = "x"; then + echo "There is no up interface, you can try to execute 'drvinst' to find drivers and 'dhcp-client' to configure your interface for DHCP." >&2 + exit 5 +fi + +# generate host keys +mkdir -p /etc/dropbear +[[ -f /etc/dropbear/dropbear_dss_host_key ]] || dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key >/dev/null || { echo "Can't generate dsa host key" >&2 ; exit 4; } +[[ -f /etc/dropbear/dropbear_rsa_host_key ]] || dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key >/dev/null || { echo "Can't generate rsa host key" >&2 ; exit 3; } + +# set a password +passwd=`genpasswd` +if (( $? != 0 )); then + reset + exit $? +fi +sed -E -i -e 's/^root:[^:]*:/root:'"${passwd//\//\\/}"':/' /etc/passwd || { echo "Can't set password" >&2 ; exit 2; } + +# test for /dev/pts +grep '^devpts /dev/pts devpts ' /proc/mounts >/dev/null 2>/dev/null || mount -t devpts devpts /dev/pts + +echo "" +echo -n "Starting ssh daemon... " +dropbear -E 2>/var/log/dropbear.log && echo "OK" || { echo "Failed" ; exit 1; } |